Skip to main content
GET
/
api
/
customer
/
profile
/
{type}
getProfileListByName
curl --request GET \
  --url https://api.artemis.cynopsis.co/api/customer/profile/{type} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Domain-ID: <x-domain-id>'
import requests

url = "https://api.artemis.cynopsis.co/api/customer/profile/{type}"

headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Domain-ID': '<x-domain-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.artemis.cynopsis.co/api/customer/profile/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "content": [
    {
      "createdAt": {
        "date": 123,
        "day": 123,
        "hours": 123,
        "minutes": 123,
        "month": 123,
        "nanos": 123,
        "seconds": 123,
        "time": 123,
        "timezoneOffset": 123,
        "year": 123
      },
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "fullName": "<string>",
        "id": 123,
        "lastName": "<string>"
      },
      "customers": [
        {
          "active": true,
          "batchUpload": {
            "createdAt": {
              "date": 123,
              "day": 123,
              "hours": 123,
              "minutes": 123,
              "month": 123,
              "nanos": 123,
              "seconds": 123,
              "time": 123,
              "timezoneOffset": 123,
              "year": 123
            },
            "createdBy": {
              "email": "<string>",
              "firstName": "<string>",
              "fullName": "<string>",
              "id": 123,
              "lastName": "<string>"
            },
            "domainId": 123,
            "failReasons": "<string>",
            "filePath": "<string>",
            "filename": "<string>",
            "id": 123,
            "runtime": "2023-11-07T05:31:56Z",
            "updatedAt": {
              "date": 123,
              "day": 123,
              "hours": 123,
              "minutes": 123,
              "month": 123,
              "nanos": 123,
              "seconds": 123,
              "time": 123,
              "timezoneOffset": 123,
              "year": 123
            },
            "updatedBy": {
              "email": "<string>",
              "firstName": "<string>",
              "fullName": "<string>",
              "id": 123,
              "lastName": "<string>"
            }
          },
          "batchUploadId": 123,
          "createdAt": {
            "date": 123,
            "day": 123,
            "hours": 123,
            "minutes": 123,
            "month": 123,
            "nanos": 123,
            "seconds": 123,
            "time": 123,
            "timezoneOffset": 123,
            "year": 123
          },
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "fullName": "<string>",
            "id": 123,
            "lastName": "<string>"
          },
          "crpList": "<array>",
          "crpRoles": [
            {
              "appointedDate": "2023-12-25",
              "createdAt": {
                "date": 123,
                "day": 123,
                "hours": 123,
                "minutes": 123,
                "month": 123,
                "nanos": 123,
                "seconds": 123,
                "time": 123,
                "timezoneOffset": 123,
                "year": 123
              },
              "createdBy": {
                "email": "<string>",
                "firstName": "<string>",
                "fullName": "<string>",
                "id": 123,
                "lastName": "<string>"
              },
              "id": 123,
              "resignedDate": "2023-12-25",
              "role": "<string>",
              "updatedAt": {
                "date": 123,
                "day": 123,
                "hours": 123,
                "minutes": 123,
                "month": 123,
                "nanos": 123,
                "seconds": 123,
                "time": 123,
                "timezoneOffset": 123,
                "year": 123
              },
              "updatedBy": {
                "email": "<string>",
                "firstName": "<string>",
                "fullName": "<string>",
                "id": 123,
                "lastName": "<string>"
              }
            }
          ],
          "domainId": 123,
          "fields": {},
          "forms": {},
          "id": 123,
          "notes": {},
          "profile": "<unknown>",
          "referenceId": "<string>",
          "updatedAt": {
            "date": 123,
            "day": 123,
            "hours": 123,
            "minutes": 123,
            "month": 123,
            "nanos": 123,
            "seconds": 123,
            "time": 123,
            "timezoneOffset": 123,
            "year": 123
          },
          "updatedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "fullName": "<string>",
            "id": 123,
            "lastName": "<string>"
          },
          "vendorName": "<string>",
          "vendorProfileEntityGuid": "<string>"
        }
      ],
      "documents": [
        {
          "authenticity": "<string>",
          "back": "<string>",
          "backName": "<string>",
          "createdAt": {
            "date": 123,
            "day": 123,
            "hours": 123,
            "minutes": 123,
            "month": 123,
            "nanos": 123,
            "seconds": 123,
            "time": 123,
            "timezoneOffset": 123,
            "year": 123
          },
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "fullName": "<string>",
            "id": 123,
            "lastName": "<string>"
          },
          "expiryDate": "2023-12-25",
          "front": "<string>",
          "frontName": "<string>",
          "id": 123,
          "issueDate": "2023-12-25",
          "number": "<string>",
          "showExpiryNotification": true,
          "type": "<string>",
          "updatedAt": {
            "date": 123,
            "day": 123,
            "hours": 123,
            "minutes": 123,
            "month": 123,
            "nanos": 123,
            "seconds": 123,
            "time": 123,
            "timezoneOffset": 123,
            "year": 123
          },
          "updatedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "fullName": "<string>",
            "id": 123,
            "lastName": "<string>"
          }
        }
      ],
      "fields": {},
      "id": 123,
      "profileReferenceId": "<string>",
      "updatedAt": {
        "date": 123,
        "day": 123,
        "hours": 123,
        "minutes": 123,
        "month": 123,
        "nanos": 123,
        "seconds": 123,
        "time": 123,
        "timezoneOffset": 123,
        "year": 123
      },
      "updatedBy": {
        "email": "<string>",
        "firstName": "<string>",
        "fullName": "<string>",
        "id": 123,
        "lastName": "<string>"
      }
    }
  ],
  "empty": true,
  "first": true,
  "last": true,
  "number": 123,
  "numberOfElements": 123,
  "pageable": {
    "offset": 123,
    "pageNumber": 123,
    "pageSize": 123,
    "paged": true,
    "sort": {
      "empty": true,
      "sorted": true,
      "unsorted": true
    },
    "unpaged": true
  },
  "size": 123,
  "sort": {
    "empty": true,
    "sorted": true,
    "unsorted": true
  },
  "totalElements": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Domain-ID
integer<int64>
required

X-Domain-ID

Path Parameters

type
enum<string>
required

type

Available options:
CORPORATE,
INDIVIDUAL

Query Parameters

offset
integer<int64>
paged
boolean
pageNumber
integer<int32>
pageSize
integer<int32>
searchString
string

searchString

sort.sorted
boolean
sort.unsorted
boolean
unpaged
boolean

Response

OK

content
Profile · object[]
empty
boolean
first
boolean
last
boolean
number
integer<int32>
numberOfElements
integer<int32>
pageable
Pageable · object
size
integer<int32>
sort
Sort · object
totalElements
integer<int64>
totalPages
integer<int32>